/**
 *@file ftsr.c
 *
 *@brief This file contains functions that provides demonstration of
 *       usage of FTSR frame related APIs
 *
 *The functions provided in the file provides demonstration on
 *usage of FTSR frame related APIs
 */

#ifndef FTSR_H_
#define FTSR_H_
#include "common.h"
#include "download_def.h"
#include "fsm.h"
#include "message_frame_def.h"
#include "tc_tm_sample.h"

extern s_string_info ftsr_data_loss;


void send_ftsr(e_ftsr_response_code set,uint16_t timeout_time);
void prepare_packet_loss_notify_frame(s_treceive_info *rx_info, e_ftsr_response_code response);
void set_resend_flag(s_treceive_info *rx_info);
tc_tm_id_e_ft prepare_head_change_request_frame(s_treceive_info *rx_info);
void printf_ftsr_debug();


#endif /*FTSR_H_ */
